Package ch.qos.logback.core

## Class LogbackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - ch.qos.logback.core.LogbackException

All Implemented Interfaces:
  `java.io.Serializable`

Direct Known Subclasses:
  `RolloverFailure`

    public class LogbackException
    extends java.lang.RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`LogbackException​(java.lang.String msg)`
`LogbackException​(java.lang.String msg, java.lang.Throwable nested)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LogbackException

    public LogbackException​(java.lang.String msg)

#### LogbackException

    public LogbackException​(java.lang.String msg,
                            java.lang.Throwable nested)